<?php
require "racs.php";
//require "vtshowsBBB.php";
require "fgstyles.php";
session_start();

if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
?>

<html>
<title>Diana||Web</title>
<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">
<style>
tr:hover.clss{background-color:silver;}
</style>


<script>
function scopys(pr)
{
var dts=document.getElementById("dt");
var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;
for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
svl=dt.rows[cnt].cells[2].innerText.toLowerCase();

if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0 || svl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}
}
</script>


</head>
<body style='font-family:calibri;font-size:small;'>
<?php

$flt=racs(1);
if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{

$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_diana");


if(isset($_REQUEST['starts'])){
echo "starts ok";	
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['stores'])){
$stores=$_REQUEST['stores'];}
else{
$stores='all';}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}


$flt=racs(1);
stps(1);
printf("<div style='position:absolute;left:1%%;top:5%%;width:15%%;'>");
stksnew(1);//prshows('pr','zone','gobs','sales','Periodic sales',$zones,$regions,$agents,$agenttypes,$terrys,$ranges,$subranges,$items);

printf("</div>");
printf("<div style='position:absolute;left:15%%;top:5%%;width:80%%;'>");
//printf("<div style='font-size:18;font-weight:bold;color:#3498DB;'>Dashboard</div>");

printf("<br>");

/*printf("<table id='dt' style='width:100%%;font-size:12;color:grey;border-collapse:collapse;'>");
printf("<tr style='border:1px solid silver;background:silver;'><td width='10%%'>Date</td><td width='10%%'>Invoice</td>
<td width='40%%'>Customer</td><td width='15%%'>Type</td></tr>");
*/

printf("<table id='dt' style='width:100%%;font-size:13;color:grey;border-collapse:collapse;table-layout:fixed;'>");

$sqlst="select dates,invoice_number,agent_names,agent_types from rc_invoices ".$flt." and dates='".$_REQUEST['ddates']."' and invoice_number='".
$_REQUEST['dinvoicenumbers']."' ";

$qry=mysqli_query($conn,$sqlst);
$rst=mysqli_fetch_row($qry);

printf("<tr style='border:1px solid silver;background:silver;color:white;'><td>%s</td><td>%s</td><td>%s</td><td colspan='10'>%s</td>
<td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>",
$rst[0],$rst[1],$rst[3],$rst[2]);

printf("<br>");

$sqlst="select invdates,invs,sttypes,stdates,stnotes,stores_names,drivers,vehicles,invitems,invrates,invqtys,strates,stqtys from (select dates as invdates,
invoice_number as invs,item_names as invitems,box_price as invrates,box_qty as invqtys from rc_invoices ".$flt." and dates='".$_REQUEST['ddates'].
"' and invoice_number='".$_REQUEST['dinvoicenumbers']."') as invr left join (select dates as stdates,ref_dates as refdates,ref_numbers as refnumbers,item_names as stitems,
note_number as stnotes,note_types as sttypes,stores_names,box_price as strates,box_qty as stqtys,vehicle_names as vehicles,
driver_names as drivers from st_notes ".$flt." and ref_dates='".$_REQUEST['ddates']."' and ref_numbers='".$_REQUEST['dinvoicenumbers']."')as strs 
on refdates=invdates and stitems=invitems and refnumbers=invs ";

#echo $sqlst;

printf("<tr style='border:1px solid silver;color:black;' class='clss' ><td>Inv date</td><td>Invoice</td><td>Type</td><td>Date</td>
<td align='center'>Number</td><td>Warehouse</td><td>Driver</td><td>Vehicle</td><td>Item</td><td>Inv rate</td><td>Inv qty</td><td align='right'>Rate</td>
<td align='right'>Qty</td><td align='right'>Pending</td></tr>");

$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){


printf("<tr style='border:1px solid silver;' class='clss' ><td align='center'>%s</td><td align='center'>%s</td><td align='center'>%s</td>
<td align='center'>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td align='right'>%s</td><td align='right'>%s</td>
<td align='right'>%s</td><td align='right'>%s</td></tr>",$rst[0],$rst[1],$rst[2],$rst[3],$rst[4],$rst[5],$rst[6],$rst[7],$rst[8],
number_format($rst[9],2,'.',','),number_format($rst[10],2,'.',','),number_format($rst[11],2,'.',','),number_format($rst[12],2,'.',','),
number_format($rst[10]-$rst[12],2,'.',','));
}
printf("</table>");
printf("</div>");
}
?>
</div>
</body>
</html>